User API

post /users/alive

Keep alive

Base URL https://api.vseepreview.com/api_v3 · operationId keepAlive

Authentication: User Token — Requires a user access token from login or SSO.

Send a heartbeat signal to indicate the user is online. Required when a user is in a critical workflow such as waiting for a provider to call.

Send at an interval less than 1/2 of the heartbeat value. Only "alive" patients show up on the provider dashboard.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)

Request body

Content type: application/x-www-form-urlencoded

FieldTypeRequiredEnumDescription
heartbeatintegernoCustom heartbeat value in seconds (default: 300s). For mobile, set to ~300s and update every ~250s.

Example:

{
  "heartbeat": 300
}

Responses

200 — Heartbeat acknowledged

Keep alive — Heartbeat acknowledged

{
  "data": {
    "last_connected": 1423023124,
    "heartbeat": 300
  }
}

401 — Unauthorized

{
  "code": 404,
  "message": "Sorry, this page is not available."
}

Machine-readable: OpenAPI JSON (operationId: keepAlive)